Subject: Re: FVWM: Questions about FVWM2

From: [email-masked] (David Kennedy)
Date: Fri, 22 Nov 1996 15:39:00 GMT

R.Tanner said:
>  1. In my buttonbar I have a swallowed xterm which is very useful, but I have
>  to click on it before I can enter text, whereas my normal xterms focus as soon
>  as my cursor moves onto them. Is there a way to make a swallowed xterm focus
>  like a window does?

As far as I know you'd have to allow the whole button bar to have focus just
like a window.  I keep track of commands I'm always typing to start programs
etc and add a button instead. A swallowed xconsole takes care of error messages
and the like instead of a xterm then.

>  2. Is there a way for a swallowed object in my buttonbar to still act as a
>  button. In particular I want buttons that make remote logins to other servers
>  which have the load graph as their face. I can make each part work seperately,
>  buttons for logins and others with swallowed xmeters but is there a way to
>  combine them?
I honestly don't know about this one, I know you can do different things
with different mouse clicks...anyone else know? Its a nice idea.

>  3. Netscape doesn't seem to obey my configuration. I have smartplacement
>  selected in my .fvwm2rc file but rather than find an empty area netscape
>  allways appears in the top left corner of the screen. Is there a way to
>  fix this?
No fix that I know of, it does this in my setup as well. Annoying isn't it?
Just start it with a given geometry perhaps, again quite simple if you have it on
a button.
 
>  4. I have four separate 'pages' setup in FVWM2 and want to be able to start
>  a program in a different page to the one I am using. eg I am working in page
>  1 but want to be able to start a program in page 2. At the moment I am forced
>  to start the program in my current page, then make it sticky, goto the page I
>  want it, unstick the window, then go back to the first page again. Is there
>  a better way?
This is why I'm always pressing for 'StartsOnPage'! :-)
You can write a function to go to a desk, start up program X, wait for X to appear,
and then return to page N. But thats irritating. I usually just start things iconic
now and slide them around in the pager using the middle mouse button whenever I have
time to open them and sort out what goes where.

I'd like to use StartsOnPage and SkipMapping to just have, say, Netscape start on another
page (it takes ages to start on my machine) and I'll move there when I've finished typing
some more email for example.

>  5. Are OpaqueMove and OpaqueResize implemented in FVWM2 or have the command
>  names merely changed?
Erm...I've forgotten. Read the 'man' page, its in there.
-- 
David Kennedy, The Queen's University of Belfast.
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: [email-masked] (Albrecht Kadlec)
Date: Fri, 22 Nov 96 18:40:02 +0100

>>>>> David Kennedy writes:

> as my cursor moves onto them. Is there a way to make a swallowed xterm focus

D> As far as I know you'd have to allow the whole button bar to have focus just
D> like a window.  I keep track of commands I'm always typing to start programs
D> etc and add a button instead. A swallowed xconsole takes care of error messages
D> and the like instead of a xterm then.

have you set the buttonbar ClickToFocus by any chance ???

> buttons for logins and others with swallowed xmeters but is there a way to

currently no.
I asked the ButtonBar author about it months ago, but it's still not there.
Maybe I'll eventually dig around in the buttonbar code, too.

D> I honestly don't know about this one, I know you can do different things
D> with different mouse clicks...anyone else know? Its a nice idea.

> allways appears in the top left corner of the screen. Is there a way to
D> No fix that I know of, it does this in my setup as well. Annoying isn't it?
D> Just start it with a given geometry perhaps, again quite simple if you have it on
D> a button.

NoPPosition or the like in fvwm 1.24
my netscape (3.0) doesn't do this with 2.0.43 without special treatment.
 
> want it, unstick the window, then go back to the first page again. Is there
D> This is why I'm always pressing for 'StartsOnPage'! :-)
D> You can write a function to go to a desk, start up program X, wait for X to appear,
D> and then return to page N. But thats irritating. I usually just start things iconic
D> now and slide them around in the pager using the middle mouse button whenever I have
D> time to open them and sort out what goes where.

D> I'd like to use StartsOnPage and SkipMapping to just have, say, Netscape start on another
D> page (it takes ages to start on my machine) and I'll move there when I've finished typing
D> some more email for example.

already on various to-do lists.
just implement it and send patches, I'm sure chuck will include them :-)

> 5. Are OpaqueMove and OpaqueResize implemented in FVWM2 or have the command
D> Erm...I've forgotten. Read the 'man' page, its in there.

it's
	OpaqueMoveSize percentage 
in 2.0.43

albrecht
-- 
A host is a host from coast to coast
& no one will talk to a host that's close
Unless the host (that isn't close)
is busy, hung or dead........vr vr vr vr	-- shamelessly stolen
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: [email-masked] (David S. Goldberg)
Date: 22 Nov 1996 13:29:21 -0500

David Kennedy said:
> R.Tanner said:
>> 1. Is there a way to make a swallowed xterm focus like a window
>>    does?

> As far as I know you'd have to allow the whole button bar to have
> focus just like a window.

Correct.  There's no way to make parts of FvwmButtons be clicktofocus
and the rest be focus follows mouse.  It is only one window after all.

>> 2. Is there a way for a swallowed object in my buttonbar to still
>>    act as a button?

Not exactly.  I'm guessing that because some swallowable applications
might want to be affected by mouse clicks, mouse clicks on swallowed
apps are passed to the app rather than being used by FvwmButtons to
represent a button press.   Ironically, if you give FvwmButtons focus
and press the return key while the mouse is over a swallowed app, and
a mouse action is defined for that swallowed app, the return will work
as expected even though a mouse click won't.  However, if you put a
title on the swallowed app button, you can mouse click on that title
and it will act as a button press.  You don't need any title text, and
if you set the font real small, the title area doesn't look that bad.
In fact, I think with the right amount of padding you can center the
swallowed app, but I haven't really tried it.  Here's what I did to
get a swallowed xmeter have a blank title area that I can click on.
When I press the button it runs an xterm with top in it.

*FvwmButtons(3x1, Frame 1, Action `Exec "top" TOP`, \
	Swallow(NoClose,UseOld) XMeter "Exec XMETER", \
	Font SCHU_C_M_R_N_6, Title " ")

I use M4, so you'll have to trust me that XMETER is an appropriate
command line for the xmeter program and SCHU_C_M_R_N_6 is a really
tiny font.
  
>> 3. Netscape doesn't seem to obey my configuration. I have
>> smartplacement selected in my .fvwm2rc file but rather than find an
>> empty area netscape allways appears in the top left corner of the
>> screen. Is there a way to fix this?
> No fix that I know of, it does this in my setup as well. Annoying
> isn't it? Just start it with a given geometry perhaps, again quite
> simple if you have it on a button.

Does

Style "*" NoPPosition

or 

Style "Netscape" NoPPosition

solve it?  I don't have this problem with netscape, but I use a
geometry resource setting that might override any programatic
defaults.

>> 4. I have four separate 'pages' setup in FVWM2 and want to be able
>> to start a program in a different page to the one I am using. eg I
>> am working in page 1 but want to be able to start a program in page
>> 2. At the moment I am forced to start the program in my current
>> page, then make it sticky, goto the page I want it, unstick the
>> window, then go back to the first page again. Is there a better
>> way?

> This is why I'm always pressing for 'StartsOnPage'! :-) You can
> write a function to go to a desk, start up program X, wait for X to
> appear, and then return to page N. But thats irritating. I usually
> just start things iconic now and slide them around in the pager
> using the middle mouse button whenever I have time to open them and
> sort out what goes where.

Yes, I want StartsOnPage too, but for now I live with specifying
geometries that span the page.  For example on my 1152x900 system I
can start an xterm with geometry +1152+0 to start one page to the
right.  However, if you do this in your rightmost page, you've got
problems :-) I find this is great for those apps I run at startup
time, but for those I start up later, I have to get them where I'm at
(except for those I put on another desktop with StartsOnDesk).

--
Dave Goldberg
Post: The Mitre Corporation\MS B305\202 Burlington Rd.\Bedford, MA 01730
Phone: 617-271-3887
Email: [email-masked]

---

From: Jamie Sparks <[email-masked]>
Date: Fri, 22 Nov 1996 13:35:17 -0500 (EST)

Sorry if you got this more than once, but what's a swallowed xterm, an inconified one?

---

From: Fleish <[email-masked]>
Date: Fri, 22 Nov 1996 15:59:43 -0600 (CST)

I have a few questions about the answers that have appeared in response to
this original post.
	First: can someone please tell me what this XMETER is? I am
running Linux, and use xload to show my system load, and am a bit confused
as to what xmeter is.
	Second: Can someone explain to me what multiple desktops (not
pages) are and how they work exactly. I too, have been awaiting the
implementation of StartsOnPage, but might find StartsOnDesk to be somewhat
helpful in the interim, if I knew what it was and how it worked.
Thanx
Todd

<*>----------------------------<*>
 |				|
 |        Todd Fleisher		|
 |    [email-masked]	|
 | http://stu056.bsc.edu/fleish	|
 |				|
<*>----------------------------<*>

---

From: "Charles Hines" <[email-masked]>
Date: Fri, 22 Nov 1996 17:03:22 -0500

>>>>> "Fleish" == Fleish  <[email-masked]> writes:

Fleish>         Second: Can someone explain to me what multiple
Fleish> desktops (not pages) are and how they work exactly. I too,
Fleish> have been awaiting the implementation of StartsOnPage, but
Fleish> might find StartsOnDesk to be somewhat helpful in the interim,
Fleish> if I knew what it was and how it worked.

I recently put this in the FAQ, which you'll see updated with 2.0.44:

----------------------------------------------------------------------

27) What exactly is the differenct between a DESK, a PAGE, and the
    SCREEN?

A: Our naming convention is sometimes a source of confusion, and when
   discussing problems and the like it's good to maintain a consistent
   meaning.  To illustrate how features of fvwm should be referred to
   - fvwm has multiple disjoint DESKTOPS, each of which is comprised
   of M by N PAGES, which are each the size of the physical SCREEN.
   The physical SCREEN acts as a viewport over one of the PAGES of the
   current DESK.  Here's a picture to clarify (also, take a look at
   the FvwmPager module):

             Desk 0                     Desk 1
     +----------+----------+    +----------+----------+
     |          |          |    |          |          |
     | Page 0 0 | Page 1 0 |    |          |          |
     |          |          |    |          |          |
     |          |          |    |          |          |
     +----------+----------+    +----------+----------+
     |+--------+|          |    |          |          |
     ||Page 0 1|| Page 1 1 |    |          |          |
     ||        ||          |    |          |          |
     |+--------+|          |    |          |          |
     +----------+----------+    +----------+----------+

   It shows two 2 x 2 DESKTOPS.  If the current DESK were number 0,
   and the current PAGE were 0 1, the SCREEN would show only the
   windows located there, plus any sticky ones.

----------------------------------------------------------------------

How's that?

Chuck

---

From: Fleish <[email-masked]>
Date: Fri, 22 Nov 1996 16:19:49 -0600 (CST)

Thanks Chuck, that did it.

EVERYONE ELSE: THANKS FOR YOUR REPLIES...BUT STOP SENDING THEM
(that should do the trick :)

This is just a message to shamelessly beg for Chuck to put the
StartsOnPage function in 2.0.44 (like he hasn't been asked that one
already :)
Todd

---

From: [email-masked] (David S. Goldberg)
Date: 22 Nov 1996 17:31:04 -0500

>>>>> Todd Fleisher writes:

> I have a few questions about the answers that have appeared in
> response to this original post. First: can someone please tell me
> what this XMETER is?

xmeter is a program, similar to xload in appearance, but with some
additional capabilities.  You can find it at

<URL:ftp://ftp.x.org/contrib/misdirected/xmeter-1.15.tar.gz>